Summary:	The default X11 session manager of LXDE
Summary(de):	LXSession - der X11 Sitzungsmanager von LXDE 
Name:     	lxsession
Version:	0.5.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/LXDE
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.xz
Source1:	lxpolkit.desktop
Patch0:		    %{name}-reboot-shutdown.patch
Patch1000:      lxsession-0.5.2-git9f8d6133-reload.patch
#Patch1002:      lxsession-0.5.2-notify-daemon-default.patch
#Patch1003:      lxsession-edit-0.5.2-fix-invalid-memcpy.patch
#Patch1004:		1004-Never-free-buffer-returned-by-gtk_entry_get_text.patch
URL:		http://www.lxde.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	%{_lib}dbus-c++-devel
BuildRequires:	docbook-to-man
BuildRequires:	intltool
BuildRequires:	%{_lib}polkit1-devel
BuildRequires:	libpthread-stubs
BuildRequires:	xsltproc
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	vala, vala-tools
BuildRequires:  %{_lib}unique-devel 
Requires:	desktop-common-data
Obsoletes:	lxsession-lite < %version
Provides:	lxsession-lite = %version-%release
Provides:	lxde-session-manager
Obsoletes:      lxde-settings-daemon
Provides:	lxde-settings-daemon = %version-%release
Obsoletes:	lxsession-lite-i10n
Obsoletes:	lxsession-edit
Obsoletes:	lxsession-edit-i10n
Obsoletes:	lxpolkit < %version
Provides:	lxpolkit = %version-%release

%description
LXSession is lightweiht session manager, and it's not tighted to "any" desktop
environment. It's desktop-independent and can be used with any window manager.
With proper configuration, you can make your own desktop environment with
LXSession. This is very useful to the users and developers of non-mainstream
window managers and desktop environemts.

#german
%description -l de
Ein Sitzungs-Manager, der den X11-Standards entspricht und das 
Herunterfahren/Neustarten/Suspend über HAL und gdm unterstützt.

Es ist Desktop-unabhängig und kann mit jedem Window-Manager verwendet werden.

%prep
%setup -q
%apply_patches

%build
autoreconf -fiv
%configure2_5x --enable-man --enable-buildin-clipboard --enable-buildin-polkit
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -m 0644 %SOURCE1 %{buildroot}/%{_sysconfdir}/xdg/autostart/lxpolkit.desktop

%{find_lang} %{name}

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/lxsession-default-apps.desktop

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/lxsession-edit.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/lxsession
%{_bindir}/lxsession-logout
%{_bindir}/lxlock
%{_bindir}/lxclipboard
%{_bindir}/lxpolkit
%{_bindir}/lxsession-default
%{_bindir}/lxsession-default-apps
%{_bindir}/lxsession-default-terminal
%{_bindir}/lxsession-edit
%{_bindir}/lxsession-db
%{_bindir}/lxsession-xdg-autostart
%{_bindir}/lxsettings-daemon
%{_datadir}/applications/lxsession-default-apps.desktop
%{_datadir}/applications/lxsession-edit.desktop
%{_datadir}/lxsession
%{_libexecdir}/%{name}/lxsession-xsettings
%{_mandir}/man1/*
%{_sysconfdir}/xdg/autostart/lxpolkit.desktop


%changelog
* Wed Apr 29 2020 daniel <meisssw01 at gmail.com> 0.5.5-1pclos2020
- 0.5.5

* Wed Aug 21 2019 tex - 0.5.3-4pclos2019
- rebuild against updates

* Tue Apr 23 2019 tex - 0.5.3-3pclos2019
- rebuild against updates

* Sun Dec 18 2016 daniel <meisssw01 at gmail.com> 0.5.3-2pclos2017
- add patch for reboot and shutdown

* Mon Dec 12 2016 daniel <meisssw01 at gmail.com> 0.5.3-1pclos2017
- 0.5.3

* Thu Mar 17 2016 daniel <meisssw01 at gmail.com> 0.5.2-2pclos2016
- fix german translation

* Wed Nov 11 2015 daniel <meisssw01 at gmail.com> 0.5.2-1pclos2015
- 0.5.2 

* Mon Dec 01 2014 bb <bb> 0.5.1-2pclos2014
- obsolete and provide lxpolkit
- fix lxpolkit destopfile

* Sat Oct 18 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.1-1pclos2014
- 0.5.1
- remove BR libgee-devel it isn't used anymore
- add BR vala
- add upstream patch for fixing the session-db

* Thu Sep 10 2014 ghostbunny <ghostbunny at gmx dot de> 0.5.0-1pclos2014
- 0.5.0
- add missing BR libpthread-stubs, xsltproc, docbook-style-xsl, docbook-dtd412-xml
- add new files to files section

